# ExtendFileSelector

Extends \Parameterizable, \FileSelector

This is the interface to be used by all custom selectors, those that are called through the &lt;custom&gt; tag. It is the amalgamation of two interfaces, the FileSelector and the Paramterizable interface. Note that you will almost certainly want the default behaviour for handling Parameters, so you probably want to use the BaseExtendSelector class as the base class for your custom selector rather than implementing this interface from scratch.

author | Hans Lellelid hans@xmpl.org (Phing)
author | Bruce Atherton bruce@callenish.com (Ant)
package | phing.types.selectors

### Methods

## Method that each selector will implement to create their selection behaviour. If there is a problem with the setup of a selector, it can throw a BuildException to indicate the problem.

    isSelected(\PhingFile $basedir, string $filename, \PhingFile $file) : \whether

inherited

throws | if the selector was not configured correctly

### Arguments

#### $basedir

`\PhingFile`

A PhingFile object for the base directory

#### $filename

`string`

The name of the file to check

#### $file

`\PhingFile`

A PhingFile object for this filename

### Response

`\whether`

the file should be selected or not

## setParameters

    setParameters( $parameters) : mixed

inherited

### Arguments

#### $parameters

``

### Response

`mixed`